<?php
session_start();

// Basic classes with helpers
include_once("Settings.class.php");
include_once("Formats.class.php");
include_once("Utils.class.php");

// Dreambox part
include_once("Dreambox.class.php");
include_once("Boutique.class.php");
include_once("Channel.class.php");
include_once("ProgramGuide.class.php");
include_once("Program.class.php");
include_once("Recording.class.php");

// Server part
include_once("VLCServer.class.php");

// Start the external player
if (isset($_GET["external"]) && !Utils::isMobileDevice()) {
	$lVLCObj = new VLCserver(Settings::getEnigmaVersion());
	$lVLCObj->openExternal($_GET["external"]);
	exit;
}

// Set defaults, first check url, then user default
$lSelectedResolution = ($_GET["resolution"]!= "" ? $_GET["resolution"]              : "512x288");
$lSelectedFPS        = ($_GET["fps"]       != "" ? $_GET["fps"]                     : 25);
$lSelectedBitrate    = ($_GET["bitrate"]   != "" ? $_GET["bitrate"]                 : "500");
$lSelectedVideoCodec = ($_GET["video"]     != "" ? $_GET["video"]                   : "WMV2");
$lSelectedAudioCodec = ($_GET["audio"]     != "" ? $_GET["audio"]                   : "mp3");
$lSelectedTransport  = ($_GET["transport"] != "" ? $_GET["transport"]               : "mmsh");
$lSelectedBoutique   = ($_GET["boutiques"] != "" ? $_GET["boutiques"]               : "Canal Digitaal NL");
$lSelectedChannel    = ($_GET["channels"]  != "" ? rawurldecode($_GET["channels"])  : "1:0:1:FAB:451:35:C00000:0:0:0:"); // NED1

if (Utils::isMobileDevice()) {
	include_once("index-mobile.php");
	exit;
}

// XAJAX Framework part
require_once ("xajax/xajax.inc.php"); // Basic xajax include. Should be somewhere in your php includes.... or on the drive...
$xajax = new xajax();
$xajax->registerExternalFunction("action","Ajax.class.php");
$xajax->processRequests();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
  <title><?php echo Settings::getProgramName() . " (" . Settings::getVersionNumber() . ")"; ?></title>
  <meta name="generator" content="ZendStudio 5.5.0"/>
  <meta name="author" content="Joshua (TheYOSH) Rubingh"/>
  <meta name="copyright" content="2007 TheYOSH" />
  <meta name="keywords" content="Restream video from a Dreambox Satelite receiver" />
  <meta name="description" content="" />
  <?php $xajax->printJavascript('xajax/'); // XAJAX part 2 ?>
  <script language="javascript" type="text/javascript" src="js/jquery-latest.pack.js"></script>
  <script language="javascript" type="text/javascript" src="js/thickbox.js"></script>
  <script language="javascript" type="text/javascript" src="js/slider.js" ></script>
  <script language="javascript" type="text/javascript" src="js/javascript.js" ></script>

  <link rel="stylesheet" type="text/css" media="screen" href="css/sliders.css" />
  <link rel="stylesheet" type="text/css" media="screen" href="css/thickbox.css" />
  <link rel="stylesheet" type="text/css" media="screen" href="css/style.css" />
</head>
<body id="body">
	<h1><?php echo Settings::getProgramName() . " (" . Settings::getVersionNumber() . ")"; ?></h1>
	<p>Here you can watch live television. The channel will be converted to an internetstream in realtime. You can choose from about 2000 channels in about 6 different languages.<br /> Use the pulldown from the 'Boutigue' to change the channelspack. In the pulldown 'Channel' you can choose the channel to watch. Finaly press the button 'Change'. Wait for about 5 seconds and the player should start.</p>
	<p>If the stream doesn't start, or the image is black, than you have probably choosen a channel which I don't have access to. So change to an other channel. You should also have Video Lan Client installed as active plugin for Firefox.</p>

<form id="zapForm" name="zapForm">
	<table align="center" id="mainTable" border="1">
	<tr>
		<td align="center" valign="middle">
			<!-- Player -->
			<div id="PlayerDiv" >&nbsp;</div>
		</td>
		<td width="125px">
			<!-- Controls -->
			Resolution:<br /><?php echo Utils::makePulldown("resolution",Formats::getDimensions(),$lSelectedResolution) ?><br />
			FPS:<br /><?php echo Utils::makePulldown("fps",Formats::getFrameRates(),$lSelectedFPS) ?><br />
			Bitrate:<br /><?php echo Utils::makePulldown("bitrate",Formats::getVideoBitrates(),$lSelectedBitrate) ?><br />
			Video codec:<br /><?php echo Utils::makePulldown("video",Formats::getVideoCodecs(),$lSelectedVideoCodec) ?><br />
			Audio codec:<br /><?php echo Utils::makePulldown("audio",Formats::getAudioCodecs(),$lSelectedAudioCodec) ?><br />
			Transport:<br /><?php echo Utils::makePulldown("transport",Formats::getStreamTypes(),$lSelectedTransport) ?><br />
			Boutigue: <br />
			<div id="boutiquesSelector">
				<select name="boutiques" id="boutiques" onchange="xajax_action('loadChannels',this.value)">
		        	<option value="-1">Loading boutiques...</option>
		        </select>
	        </div>
	        Channel:<br />
	        <div id="channelsSelector">
		        <select name="channels" id="channels">
		        	<option value="-1">Loading channels...</option>
		        </select>
	        </div>
	         <br />
	        <a href="javascript:void(0)" onclick="openExternal();">Open in external player</a><br />
		<a href="javascript:void(0)" onclick="xajax_action('loadRecordings');">Load recordings</a>
		</td>
		<td rowspan="3" width="260px">
			<!-- tv guide -->
			<div id="tvguide">&nbsp;</div>
		</td>
	</tr>

	<tr>
		<td id="serverStatus">Server status</td>
		<td >
			<input type="button" value="Change Channel" onclick="showZapWating();xajax_action('zap',xajax.getFormValues('zapForm'))">
			<input type="button" value="Kill server" onclick="xajax_action('killserver')">
		</td>
	</tr>
	<tr>
		<td colspan="2">Programma info:
			<div id="programmaInfo">&nbsp;</div>
		</td>
	</tr>
	</table>
</form>
	<div id="waitingMessage"><p>Please wait while we are loading the boutiques and channel data...<br /><br />Loading...<img src="images/loadingAnimation.gif" alt="Loading" align="center" /></p></div>
	<div id="zapWaitingMessage"><p>Please wait while we are changing the channel...<br /><br />Zapping...<img src="images/loadingAnimation.gif" alt="Loading" align="center" /></p></div>
	<div id="debug"><a href="javascript:void(0);" onclick="toggleDebug()">Debug..</a>
		<div id="debug-content">

	<?php
//	$lTemp = new Dreambox();
//	$lTemp->getRecordings();
//	$lTemp->dump();

	$lVLCobj = new VLCServer();
	$lVLCobj->getCurrentStream();

	?>

		</div>
	</div>
</body>
</html>
